/*
  Schma des tables de WAnewsletter 2.0.2
  pour mssql
 
  07 octobre 2002 - Bobe
*/

BEGIN TRANSACTION
GO

/*
  Structure de la table "wa_abonnes"
*/
CREATE TABLE [wa_abonnes] (
  [id] [int] IDENTITY (1, 1) NOT NULL, 
  [email] [varchar] (255) NOT NULL, 
  [code] [varchar] (16) NOT NULL, 
  [date] [int] NOT NULL, 
  [format] [smallint] NOT NULL, 
  [liste_id] [smallint] NOT NULL, 
  [actif] [smallint] NOT NULL 
) ON [PRIMARY]
GO


/*
  Structure de la table "wa_admin"
*/
CREATE TABLE wa_admin (
  [admin_id] [smallint] IDENTITY (1, 1) NOT NULL, 
  [user] [varchar] (50) NOT NULL, 
  [passwd] [varchar] (32) NOT NULL, 
  [email] [varchar] (255) NOT NULL, 
  [droits] [smallint] NOT NULL
) ON [PRIMARY]
GO


/*
  Structure de la table "wa_config"
*/
CREATE TABLE wa_config (
  [nom] [varchar] (255) NOT NULL, 
  [valeur] [varchar] (255) NOT NULL
) ON [PRIMARY]
GO


/*
  Structure de la table "wa_liste"
*/
CREATE TABLE wa_liste (
  [liste_id] [smallint] IDENTITY (1, 1) NOT NULL, 
  [nom] [varchar] (100) NOT NULL, 
  [choix_format] [smallint] NOT NULL, 
  [email_confirm] [smallint] NOT NULL, 
  [limitevalidate] [smallint] NOT NULL, 
  [form_url] [varchar] (255) NOT NULL 
)  ON [PRIMARY]
GO


/*
  Structure de la table "wa_log"
*/
CREATE TABLE wa_log (
  [log_id] [int] IDENTITY (1, 1) NOT NULL, 
  [liste_id] [smallint] NOT NULL, 
  [sujet] [varchar] (100) NOT NULL, 
  [body_html] [text] NOT NULL, 
  [body_text] [text] NOT NULL, 
  [date] [int] NOT NULL, 
  [attach] [text] NOT NULL, 
  [send] [smallint] NOT NULL 
)  ON [PRIMARY]
GO


/*
  Structure de la table "wa_session"
*/
CREATE TABLE wa_session (
  [session_id] [char] (32) NOT NULL, 
  [admin_id] [smallint] NOT NULL, 
  [session_start] [int] NOT NULL, 
  [session_time] [int] NOT NULL 
)  ON [PRIMARY]
GO

ALTER TABLE [wa_abonnes] WITH NOCHECK ADD 
	CONSTRAINT [PK_wa_abonnes] PRIMARY KEY  CLUSTERED 
	(
		[id]
	)  ON [PRIMARY] 
GO

ALTER TABLE [wa_admin] WITH NOCHECK ADD 
	CONSTRAINT [PK_wa_admin] PRIMARY KEY  CLUSTERED 
	(
		[admin_id]
	)  ON [PRIMARY] 
GO

ALTER TABLE [wa_liste] WITH NOCHECK ADD 
	CONSTRAINT [PK_wa_liste] PRIMARY KEY  CLUSTERED 
	(
		[liste_id]
	)  ON [PRIMARY] 
GO

ALTER TABLE [wa_log] WITH NOCHECK ADD 
	CONSTRAINT [PK_wa_log] PRIMARY KEY  CLUSTERED 
	(
		[log_id]
	)  ON [PRIMARY] 
GO

ALTER TABLE [wa_abonnes] WITH NOCHECK ADD 
	CONSTRAINT [DF_wa_abonnes_date] DEFAULT (0) FOR [date],
	CONSTRAINT [DF_wa_abonnes_format] DEFAULT (1) FOR [format],
	CONSTRAINT [DF_wa_abonnes_liste_id] DEFAULT (0) FOR [liste_id],
	CONSTRAINT [DF_wa_abonnes_actif] DEFAULT (0) FOR [actif]
GO

ALTER TABLE [wa_admin] WITH NOCHECK ADD 
	CONSTRAINT [DF_wa_admin_droits] DEFAULT (1) FOR [droits]
GO

ALTER TABLE [wa_liste] WITH NOCHECK ADD 
	CONSTRAINT [DF_wa_liste_choix_format] DEFAULT (1) FOR [choix_format],
	CONSTRAINT [DF_wa_liste_email_confirm] DEFAULT (0) FOR [email_confirm],
	CONSTRAINT [DF_wa_liste_limitevalidate] DEFAULT (3) FOR [limitevalidate]
GO

ALTER TABLE [wa_log] WITH NOCHECK ADD 
	CONSTRAINT [DF_wa_log_liste_id] DEFAULT (0) FOR [liste_id],
	CONSTRAINT [DF_wa_log_date] DEFAULT (0) FOR [date],
	CONSTRAINT [DF_wa_log_send] DEFAULT (0) FOR [send]
GO

CREATE INDEX [IX_wa_session] ON [wa_session]([session_id]) ON [PRIMARY]
GO

COMMIT
GO
